<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.4.9
Name: Patientendemographie Observation Organizer Entry
Description: Dieses Entry Level Template enthält patientendemographische Informationen, die nicht im Record Target untergebracht werden, wie die Staatsangehörigkeit.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000">
   <title>Patientendemographie Observation Organizer Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]
Item: (PatientDemographicObservationOrganizerEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]
Item: (PatientDemographicObservationOrganizerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]"
         id="d42e8237-false-d24080e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="string(@classCode) = ('CLUSTER')">(PatientDemographicObservationOrganizerEntry): Der Wert von classCode MUSS 'CLUSTER' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']) &gt;= 1">(PatientDemographicObservationOrganizerEntry): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']) &lt;= 1">(PatientDemographicObservationOrganizerEntry): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(PatientDemographicObservationOrganizerEntry): Element hl7:statusCode[@code = 'completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(PatientDemographicObservationOrganizerEntry): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4288']]]) &gt;= 1">(PatientDemographicObservationOrganizerEntry): Element hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4288']]] ist required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']
Item: (PatientDemographicObservationOrganizerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']"
         id="d42e8241-false-d24119e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientDemographicObservationOrganizerEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.4.9')">(PatientDemographicObservationOrganizerEntry): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.4.9' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (PatientDemographicObservationOrganizerEntry)
-->

   <rule fpi="RULC-1"
         context="*[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e8246-false-d24134e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientDemographicObservationOrganizerEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.4.9-2018-06-04T000000.html"
              test="@nullFlavor or (@code='completed')">(PatientDemographicObservationOrganizerEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.4.9
Context: *[hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]]/hl7:organizer[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.9']]/hl7:component[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4288']]]
Item: (PatientDemographicObservationOrganizerEntry)
--></pattern>
