<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.261.1.10.3.4
Name: Unfallereignis
Description: Section: Unfallereignis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000">
   <title>Unfallereignis</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]
Item: (Injuryeventsummary2)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]
Item: (Injuryeventsummary2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]"
         id="d42e5283-false-d19575e0">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Injuryeventsummary2): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']) &gt;= 1">(Injuryeventsummary2): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']) &lt;= 1">(Injuryeventsummary2): Element hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Injuryeventsummary2): Element hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Injuryeventsummary2): Element hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Injuryeventsummary2): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Injuryeventsummary2): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Injuryeventsummary2): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Injuryeventsummary2): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]) &gt;= 1">(Injuryeventsummary2): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]) &lt;= 1">(Injuryeventsummary2): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']
Item: (Injuryeventsummary2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']"
         id="d42e5287-false-d19636e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Injuryeventsummary2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.261.1.10.3.4')">(Injuryeventsummary2): Der Wert von root MUSS '1.2.276.0.76.3.1.261.1.10.3.4' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Injuryeventsummary2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:code[(@code = '74209-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5292-false-d19651e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Injuryeventsummary2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="@nullFlavor or (@code='74209-8' and @codeSystem='2.16.840.1.113883.6.1')">(Injuryeventsummary2): Der Elementinhalt MUSS einer von 'code '74209-8' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:title[not(@nullFlavor)]
Item: (Injuryeventsummary2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:title[not(@nullFlavor)]"
         id="d42e5297-false-d19667e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Injuryeventsummary2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="text()='Unfallereignis'">(Injuryeventsummary2): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Unfallereignis'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:text[not(@nullFlavor)]
Item: (Injuryeventsummary2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:text[not(@nullFlavor)]"
         id="d42e5303-false-d19681e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Injuryeventsummary2): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.261.1.10.3.4
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]
Item: (Injuryeventsummary2)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.3.4']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.261.1.10.4.8']]]">
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="string(@typeCode) = ('COMP')">(Injuryeventsummary2): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://dguv.art-decor.org/dguvbbr-html-20210423T124246/tmp-1.2.276.0.76.3.1.261.1.10.3.4-2018-06-04T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Injuryeventsummary2): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
